package com.yonge.cooleshow.biz.dal.dto.search;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * Description 专辑详情下的曲目查询
 *
 * @author liujunchi
 * @date 2022-03-31
 */
@ApiModel(value = "MusicAlbumDetailSearch", description = "专辑详情查询")
public class MusicAlbumDetailSearch extends MusicSheetSearch {

    @NotNull(message = "专辑编号ID不能为空")
    @ApiModelProperty(value = "专辑编号ID",required = true)
    private Long id;

    /**
     * 1：新增曲目，2：已有曲目
     */
    @ApiModelProperty(hidden = true,value = "1：新增曲目，2：已有曲目")
    private Integer type;

    @ApiModelProperty(value = "假删除 0 : 未删除 1：已删除",hidden = true)
    private Boolean delFlag = false;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public Boolean getDelFlag() {
        return delFlag;
    }

    @Override
    public void setDelFlag(Boolean delFlag) {
        this.delFlag = delFlag;
    }
}
